--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Fixes player teams at the end of a round
--]]---------------------------------------------
function arena.fix_teams()
	--// Through all arenas
	for stage = 1, arena.MAX_STAGE do
		local p1 = arena.player_1[stage]
		local p2 = arena.player_2[stage]
		
		--// There must be 2 players who are different normally ?
		if p1 > 0 and p2 > 0 and 
			p1 ~= p2 then

			--// Team numbers
			local team_1 = tonumber(player(p1, "team"))
			local team_2 = tonumber(player(p2, "team"))

			--// Swap
			if team_1 == team_2 then
				if team_1 == 1 then
					parse("makect " .. p2)
				else
					parse("maket " .. p2)
				end

				arena.dec_deaths(p2)
			end
		end
	end
end