--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--// Current player's stages
arena.stage = {}
--// Arena data indexed by the arena stage
arena.player_1 = {}
arena.player_2 = {}
arena.winners = {}
arena.loosers = {}
arena.spawn_tt = {}
arena.spawn_ct = {}
arena.leaders = {}
arena.round_type = {}
arena.stats_updated = {}
--// Champion stuff
arena.champion = 0
arena.champion_img = nil

--[[---------------------------------------------
	Reset arena vars
--]]---------------------------------------------
function arena.reset_arena_vars()
	--// Loop through each arena
	for stage = 1, arena.MAX_STAGE do		
		arena.winners[stage] = 0
		arena.loosers[stage] = 0
		arena.stats_updated[stage] = false
	end
end

--[[---------------------------------------------
	Reset all arenas variables
--]]---------------------------------------------
function arena.reset_all_arena_vars()
	--// Loop through each arena
	for stage = 1, arena.MAX_STAGE do		
		arena.player_1[stage] = 0
		arena.player_2[stage] = 0
		arena.round_type[stage] = 0
		arena.winners[stage] = 0
		arena.loosers[stage] = 0
		arena.stats_updated[stage] = false
	end
	
	arena.leaders = {}
	arena.champion = 0
end