--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Called when a player pressed a numeric key

	@param number id: player ID
	@param number action: numeric key
--]]---------------------------------------------
function arena.serveraction(id, action)
	arena.open_favmenu(id)
end

--[[---------------------------------------------------------------------------
	Process a menu click

	@param number id: player ID
	@param string title: menu's title
	@param number button: button's number (from 0 to 9)
--]]---------------------------------------------------------------------------
function arena.menu(id, title, button)
	local m = arena.player_menus[id] --// player menu

	if button == 0 then --// Close
		
	elseif button == 8 then --// Previous
		m.page = m.page - 1
		arena.display_menu(id)
	elseif button == 9 then --// Next
		m.page = m.page + 1
		arena.display_menu(id)
	else
		--// Get the button according to the current user page
		local btn_index = (m.page - 1) * 7 + button
		local b = m.buttons[btn_index]

		--// Call the button function
		if b and b.func then
			b.func(id, b.args)
		end
	end
end