--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Returns whether the specified value is inside the array

	@param table tab: an array
	@param object value: an object
	@return bool whether the specified value is inside the array
--]]---------------------------------------------
function arena.inArray(tab, value)
	--// Loop through all values
	for k, v in pairs(tab) do
		--// Found
		if v == value then
			return true
		end 
	end
end

--[[---------------------------------------------
	Returns the array's length

	@param table tab: an array
	@return number the array's length
--]]---------------------------------------------
function arena.arrayCount(tab)
	local size = 0 --// Array's size 

	--// Increments for each value
	for _, __ in pairs(tab) do
		size = size + 1
	end

	return size
end