--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------------------------------------
	Adds the specified value at the end of the queue

	@param table queue: a queue
	@param object value: an object
--]]---------------------------------------------------------------------------
function arena.queue_push(queue, value)
	queue[#queue + 1] = value
end

--[[---------------------------------------------------------------------------
	Removes the specified value from the queue

	@param table queue: a queue
	@param object value: an object
--]]---------------------------------------------------------------------------
function arena.queue_remove(queue, value)
	for i = 1, #queue do
		if queue[i] == value then
			table.remove(queue, i)
			break
		end
	end
end

--[[---------------------------------------------------------------------------
	Returns the queue's head

	@param table queue: a queue
	@param object value: an object
--]]---------------------------------------------------------------------------
function arena.queue_poll(queue)
	if queue[1] then
		local value = queue[1]

		table.remove(queue, 1)

		return value
	end
end