--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Disables the mod for the specified reason

	@param string reason: a reason
--]]---------------------------------------------
function arena.disable(reason)
	--// Remove all mod hooks
	for _, hook in pairs(arena._HOOKS) do
		freehook(hook, "arena." .. hook)
	end

	arena.server_msg("Arena has been disabled reason: " .. reason)
end

--[[---------------------------------------------
	Remove current player weapons

	@param number id: player ID
--]]---------------------------------------------
function arena.remove_weapons()
	--// Remove all players weapons
	for pid, stage in pairs(arena.stage) do
		if stage > 0 then
			local weapons = playerweapons(pid)

			for _, wid in pairs(weapons) do
				if tonumber(wid) ~= 50 then --// Don't remove knife !!
					parse('strip ' .. pid .. ' ' .. tonumber(wid))
				end
			end
		end
	end
end

--[[---------------------------------------------
	Displays the current round (unused yet)
--]]---------------------------------------------
function arena.refresh_round_hud()
	arena.hudtxt(49, "Round: " .. arena.round .. "/" .. arena.MAX_ROUNDS, 
		550, 100)
end
