--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

arena.sound_path = "xNir/arena/"
arena.playlist_index = 1
arena.playlist = {
	"arash_ft_snoop_dog_omg.ogg",
	"bang_la_decks_kuedon.ogg",
	"bang_la_decks_montego.ogg",
	"bang_la_decks_okinawa.ogg",
	"ben_delay_i_never_felt_so_right.ogg",
	"consoul_trainin_take_me_to_infinity.ogg",
	"dj_pitsi_ft_animado_mi_amor.ogg",
	"dj_sava_feat_faydee_love_in_dubai.ogg",
	"lp_lost_on_you.ogg",
	"manue_riva_ft_eneli_mhm_mhm.ogg",
	"playmen_stand_by_me_now.ogg",
}

--[[---------------------------------------------------------------------------
	Starts a playlist music
--]]---------------------------------------------------------------------------
function arena.endround_sound()
	local sfx = arena.playlist[arena.playlist_index]
	local sound = arena.sound_path .. sfx
	local players = player(0, "table") --// All players

	--// Play endround sounds if enabled
	for k, id in pairs(players) do
		if arena.sfx_enabled[id] == 1 then
			parse('sv_sound2 ' .. id .. ' "' .. sound .. '"')
		end
	end

	arena.music_message("[DJ] is playing now:")
	arena.music_message("sfx/" .. sound)

	arena.playlist_index = arena.playlist_index + 1

	--// No more sounds back to beginning
	if arena.playlist_index > #arena.playlist then
		arena.playlist_index = 1
	end
end