--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

arena.menus = {} --// Static menus

--// Pistols list
arena.menus["pistols"] = arena.create_menu("Pistols Choice", {
	{label = "USP", func = arena.change_fav_setting, 
		args = {setting = "pistol", wpn = 1}},
	{label = "Glock", func = arena.change_fav_setting, 
		args = {setting = "pistol", wpn = 2}},
	{label = "Deagle", func = arena.change_fav_setting, 
		args = {setting = "pistol", wpn = 3}},
	{label = "P228", func = arena.change_fav_setting, 
		args = {setting = "pistol", wpn = 4}},
	{label = "Elite", func = arena.change_fav_setting, 
		args = {setting = "pistol", wpn = 5}},
	{label = "Five-Seven", func = arena.change_fav_setting, 
		args = {setting = "pistol", wpn = 6}},
	{label = "None", func = arena.change_fav_setting, 
		args = {setting = "pistol", wpn = 0}},
})

--// Rifles list
arena.menus["rifles"] = arena.create_menu("Rifles Choice", {
	{label = "AK-47", func = arena.change_fav_setting, 
		args = {setting = "rifle", wpn = 30}},
	{label = "M4A1", func = arena.change_fav_setting, 
		args = {setting = "rifle", wpn = 32}},
	{label = "Galil", func = arena.change_fav_setting, 
		args = {setting = "rifle", wpn = 38}},
	{label = "Famas", func = arena.change_fav_setting, 
		args = {setting = "rifle", wpn = 39}},
	{label = "None", func = arena.change_fav_setting, 
		args = {setting = "rifle", wpn = 0}},
})

--// Round preferences
arena.menus["preferences"] = arena.create_menu("Preference", {
	{label = "Pistols", func = arena.change_fav_setting, 
		args = {setting = "preferences", pref = 1}},
	{label = "Rifles", func = arena.change_fav_setting, 
		args = {setting = "preferences", pref = 2}},
	{label = "AWP", func = arena.change_fav_setting, 
		args = {setting = "preferences", pref = 3}},
	{label = "Laser", func = arena.change_fav_setting, 
		args = {setting = "preferences", pref = 4}},
	{label = "None", func = arena.change_fav_setting, 
		args = {setting = "preferences", pref = 0}},
})

--// Pistols rounds
arena.menus["p_enabled"] = arena.create_menu("Pistols Rounds", {
	{label = "Enable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 1, type = "pistols"}},
	{label = "Disable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 0, type = "pistols"}},
})

--// AWP rounds
arena.menus["a_enabled"] = arena.create_menu("AWP Rounds", {
	{label = "Enable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 1, type = "awp"}},
	{label = "Disable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 0, type = "awp"}},
})

--// Laser rounds
arena.menus["l_enabled"] = arena.create_menu("Laser Rounds", {
	{label = "Enable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 1, type = "laser"}},
	{label = "Disable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 0, type = "laser"}},
})

--// Knife rounds
arena.menus["k_enabled"] = arena.create_menu("Knife Rounds", {
	{label = "Enable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 1, type = "knife"}},
	{label = "Disable", func = arena.change_fav_setting, 
		args = {setting = "rounds", value = 0, type = "knife"}},
})

--// SFX
arena.menus["sfx_enabled"] = arena.create_menu("SFX", {
	{label = "Enable", func = arena.change_fav_setting, 
		args = {setting = "sfx", value = 1}},
	{label = "Disable", func = arena.change_fav_setting, 
		args = {setting = "sfx", value = 0}},
})

--// Static arguments
arena.args = {
	{static = true, menu = "pistols", display = 1},
	{static = true, menu = "rifles", display = 1},
	{static = true, menu = "preferences", display = 1},
	{static = true, menu = "p_enabled", display = 1},
	{static = true, menu = "a_enabled", display = 1},
	{static = true, menu = "l_enabled", display = 1},
	{static = true, menu = "k_enabled", display = 1},
	{static = true, menu = "sfx_enabled", display = 1},
	{static = true, menu = "map", display = 1},
}